Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Interface SessionEventListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  SessionEventAdapter

public interface SessionEventListener
extends java.util.EventListener

Purpose: Used to support session events. To register for events notification an event listener must be registered with the session.

See Also:
  `SessionEventManager.addListener(SessionEventListener)`, `Session.getEventManager()`, `SessionEvent`

Method Summary
`void` | `missingDescriptor(SessionEvent event)` PUBLIC: This event is raised on the session if a descriptor is missing for a class being persisted.
`void` | `moreRowsDetected(SessionEvent event)` PUBLIC: This event is raised on the session after read object query detected more than a single row back from the database.
`void` | `noRowsModified(SessionEvent event)` PUBLIC: This event is raised on the session after update or delete SQL has been sent to the database but a row count of zero was returned.
`void` | `outputParametersDetected(SessionEvent event)` PUBLIC: This event is raised on the session after a stored procedure call has been executed that had output parameters.
`void` | `postAcquireClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session after creation/acquiring.
`void` | `postAcquireConnection(SessionEvent event)` PUBLIC: This event is raised on when using the server/client sessions.
`void` | `postAcquireExclusiveConnection(SessionEvent event)` PUBLIC: This event is raised when a ClientSession, with Isolated data, acquires an exclusive connection.
`void` | `postAcquireUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after creation/acquiring.
`void` | `postBeginTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is started.
`void` | `postCalculateUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This event is raised after the commit has begun on the UnitOfWork and after the changes are calculated.
`void` | `postCommitTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is commited.
`void` | `postCommitUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after commit.
`void` | `postConnect(SessionEvent event)` PUBLIC: This event is raised after the session connects to the database.
`void` | `postDistributedMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
`void` | `postExecuteQuery(SessionEvent event)` PUBLIC: This event is raised after the execution of every query against the session.
`void` | `postLogin(SessionEvent event)` PUBLIC: This Event is raised after the session logs in.
`void` | `postMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged
`void` | `postReleaseClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session after releasing.
`void` | `postReleaseUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after release.
`void` | `postResumeUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after resuming.
`void` | `postRollbackTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is rolledback.
`void` | `preBeginTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is started.
`void` | `preCalculateUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This event is raised after the commit has begun on the UnitOfWork but before the changes are calculated.
`void` | `preCommitTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is commited.
`void` | `preCommitUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work before commit.
`void` | `preDistributedMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
`void` | `preExecuteQuery(SessionEvent event)` PUBLIC: This event is raised before the execution of every query against the session.
`void` | `preLogin(SessionEvent event)` PUBLIC: This Event is raised before the session logs in.
`void` | `preMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged
`void` | `prepareUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after the SQL has been flushed, but the commit transaction has not been executed.
`void` | `preReleaseClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session before releasing.
`void` | `preReleaseConnection(SessionEvent event)` PUBLIC: This event is raised on when using the server/client sessions.
`void` | `preReleaseExclusiveConnection(SessionEvent event)` PUBLIC: This event is fired just before a Client Session, with isolated data, releases its Exclusive Connection
`void` | `preReleaseUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work before release.
`void` | `preRollbackTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is rolledback.

Method Detail

### missingDescriptor

    public void missingDescriptor(SessionEvent event)

  PUBLIC: This event is raised on the session if a descriptor is missing for a class being persisted. This can be used to lazy register the descriptor or set of descriptors.

### moreRowsDetected

    public void moreRowsDetected(SessionEvent event)

  PUBLIC: This event is raised on the session after read object query detected more than a single row back from the database. The "result" of the event will be the call. Some applications may want to interpret this as an error or warning condition.

### noRowsModified

    public void noRowsModified(SessionEvent event)

  PUBLIC: This event is raised on the session after update or delete SQL has been sent to the database but a row count of zero was returned.

### outputParametersDetected

    public void outputParametersDetected(SessionEvent event)

  PUBLIC: This event is raised on the session after a stored procedure call has been executed that had output parameters. If the proc was used to override an insert/update/delete operation then TopLink will not be expecting any return value. This event mechanism allows for a listner to be registered before the proc is call to process the output values. The event "result" will contain a DatabaseRow of the output values, and property "call" will be the StoredProcedureCall.

### postAcquireClientSession

    public void postAcquireClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session after creation/acquiring.

### postAcquireConnection

    public void postAcquireConnection(SessionEvent event)

  PUBLIC: This event is raised on when using the server/client sessions. This event is raised after a connection is acquired from a connection pool.

### postAcquireExclusiveConnection

    public void postAcquireExclusiveConnection(SessionEvent event)

  PUBLIC: This event is raised when a ClientSession, with Isolated data, acquires an exclusive connection. The event will contain the ClientSession that is being acquired. Users can set properties within the ConnectionPolicy of that ClientSession for access within this event.

### postAcquireUnitOfWork

    public void postAcquireUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after creation/acquiring. This will be raised on nest units of work.

### postBeginTransaction

    public void postBeginTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is started. It is not raised for nested transactions.

### preCalculateUnitOfWorkChangeSet

    public void preCalculateUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This event is raised after the commit has begun on the UnitOfWork but before the changes are calculated.

### postCalculateUnitOfWorkChangeSet

    public void postCalculateUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This event is raised after the commit has begun on the UnitOfWork and after the changes are calculated. The UnitOfWorkChangeSet, at this point, will contain changeSets without the version fields updated and without IdentityField type primary keys. These will be updated after the insert, or update, of the object

### postCommitTransaction

    public void postCommitTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is commited. It is not raised for nested transactions.

### postCommitUnitOfWork

    public void postCommitUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after commit. This will be raised on nest units of work.

### postConnect

    public void postConnect(SessionEvent event)

  PUBLIC: This event is raised after the session connects to the database. In a server session this event is raised on every new connection established.

### postExecuteQuery

    public void postExecuteQuery(SessionEvent event)

  PUBLIC: This event is raised after the execution of every query against the session. The event contains the query and query result.

### postReleaseClientSession

    public void postReleaseClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session after releasing.

### postReleaseUnitOfWork

    public void postReleaseUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after release. This will be raised on nest units of work.

### postResumeUnitOfWork

    public void postResumeUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after resuming. This occurs after pre/postCommit.

### postRollbackTransaction

    public void postRollbackTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is rolledback. It is not raised for nested transactions.

### postDistributedMergeUnitOfWorkChangeSet

    public void postDistributedMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session

### postMergeUnitOfWorkChangeSet

    public void postMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged

### preBeginTransaction

    public void preBeginTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is started. It is not raised for nested transactions.

### preCommitTransaction

    public void preCommitTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is commited. It is not raised for nested transactions.

### preCommitUnitOfWork

    public void preCommitUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work before commit. This will be raised on nest units of work.

### preExecuteQuery

    public void preExecuteQuery(SessionEvent event)

  PUBLIC: This event is raised before the execution of every query against the session. The event contains the query to be executed.

### prepareUnitOfWork

    public void prepareUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after the SQL has been flushed, but the commit transaction has not been executed. It is similar to the JTS prepare phase.

### preReleaseClientSession

    public void preReleaseClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session before releasing.

### preReleaseConnection

    public void preReleaseConnection(SessionEvent event)

  PUBLIC: This event is raised on when using the server/client sessions. This event is raised before a connection is released into a connection pool.

### preReleaseExclusiveConnection

    public void preReleaseExclusiveConnection(SessionEvent event)

  PUBLIC: This event is fired just before a Client Session, with isolated data, releases its Exclusive Connection

### preReleaseUnitOfWork

    public void preReleaseUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work before release. This will be raised on nest units of work.

### preRollbackTransaction

    public void preRollbackTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is rolledback. It is not raised for nested transactions.

### preDistributedMergeUnitOfWorkChangeSet

    public void preDistributedMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session

### preMergeUnitOfWorkChangeSet

    public void preMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged

### preLogin

    public void preLogin(SessionEvent event)

  PUBLIC: This Event is raised before the session logs in.

### postLogin

    public void postLogin(SessionEvent event)

  PUBLIC: This Event is raised after the session logs in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD